#include <stdio.h>
#include <stdlib.h>
#include "matched.h"

void usage(void);

int main(int argc, char *argv[]){
   double coef[6];
   if(argc!=2) usage();
   if(read_matched_coef(argv[1],coef)==TRUE){
      //fprintf(stdout,"%12.5f %12.5f %12.5f %12.5f %12.5f %12.5f\n",coef[0],coef[1],coef[2],coef[3],coef[4],coef[5]);
      fprintf(stdout,"%12.5e %12.5e %12.5e %12.5e %12.5e %12.5e\n",coef[0],coef[1],coef[2],coef[3],coef[4],coef[5]);
   } else {
      fprintf(stderr,"Coefficients were not loaded appropriately.\n");
   }
   return 0;
}

void usage(void){
   fprintf(stderr,"Usage -> read_matched_coef  matched_file\n"); exit(1);
}
